from django.forms import ModelForm
from django import forms
from django.db import models
from .models import Bibliography, Protein, ProteinDomainComplex, Ppi

class IdForm(forms.Form):
	id = forms.CharField(label="",max_length=100, widget=forms.TextInput(attrs={'placeholder': 'PubMed ID / DOI / Patent ID'}))

class BibliographyForm(ModelForm):
    class Meta:
        model = Bibliography
        exclude = ['title','journal_name', 'authors_list', 'biblio_year']

class PDBForm(forms.Form):
	pdb_id = forms.CharField(label="PDB ID",max_length=100, widget=forms.TextInput(attrs={'placeholder': '123456'}))

class ProteinForm(ModelForm):
	class Meta:
		model = Protein
		exclude = ['recommended_name_long', 'short_name']

class ProteinDomainComplexForm(ModelForm):
	class Meta:
		model = ProteinDomainComplex
		fields = ['protein_id', 'domain_id', 'ppc_copy_nb']


class PpiForm(ModelForm):
	class Meta:
		model = Ppi
		fields = ['complex_id', 'cc_nb', 'pdb_id', 'symmetry_id']
